3

Till last update of MacTeX my files were compiled nice. After update I can't compile them. Example code:

\documentclass[a4paper,12pt]{article}
\usepackage[T1,T2A]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage[turkish,russian]{babel}
\usepackage{longtable}
\usepackage{graphicx}
\usepackage{tcolorbox}
\usepackage{multirow}
\usepackage{array}
\usepackage[overwrite=true]{getmap}
\usepackage{calc}


\usepackage[unicode,hidelinks]{hyperref}
\usepackage{geometry} % Меняем поля страницы
\geometry{left=1.5cm}% левое поле
\geometry{right=1.5cm}% правое поле
\geometry{top=1.5cm}% верхнее поле
\geometry{bottom=1.5cm}% нижнее поле


\begin{document}
\shorthandoff{=}

Hello world

\begin{tcolorbox}[sharpish corners,colframe=gray,title={\textbf{* Attention}}]
Bla Bla Bla Bla
\end{tcolorbox}
\end{document}

After starting of the compilation process stops with this message:

Package hyperref Message: Driver (autodetected): hpdftex.

(/usr/local/texlive/2017/texmf-dist/tex/latex/hyperref/hpdftex.def (/usr/local/texlive/2017/texmf-dist/tex/latex/oberdiek/rerunfilecheck.sty)) (/usr/local/texlive/2017/texmf-dist/tex/latex/geometry/geometry.sty) (./protex.aux) (/usr/local/texlive/2017/texmf-dist/tex/context/base/mkii/supp-pdf.mkii [Loading MPS to PDF converter (version 2006.09.02).] /usr/local/texlive/2017/texmf-dist/tex/context/base/mkii/supp-pdf.mkii:175:

Mis sing number, treated as zero.

\let
l.175 \unprotect

?

Compilation finishes well only if lines \usepackage{graphicx} and \usepackage{tcolorbox} commented. Could you help, please?

  • 1
    The compilation fails on TL 2017 on Linux too, but I suspect babel here – user31729 Jul 29 '17 at 19:21
  • But it is connected to tcolorbox as well – user31729 Jul 29 '17 at 19:29
  • @ChristianHupfer no tcolorbox is the problem. It is a clash between turkish and graphics. – Ulrike Fischer Jul 29 '17 at 19:37
  • @UlrikeFischer: The error occurs also by commenting graphicx out and keeping tcolorbox, the later does not load graphicx, so either it is tcolorbox in addition or some other package that does load graphicx ... just checked: It's tcolorbox and its chain-loading of other packages downto graphicx – user31729 Jul 29 '17 at 19:40
  • 3
    The problem is with supp-pdf.mkii. It doesn't like the active = from turkish. You can avoid the error by loading graphicx before babel. – Ulrike Fischer Jul 29 '17 at 19:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.